=== debian/changelog ===
ros-indigo-lyap-control (0.0.13-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 01 Mar 2016 21:25:05 -0000

ros-indigo-lyap-control (0.0.11-0trusty) trusty; urgency=high



 -- Andy Zelenak <andyz@utexas.edu>  Sun, 30 Aug 2015 05:00:00 -0000

ros-indigo-lyap-control (0.0.9-0trusty) trusty; urgency=high

  * Modified how V2 is calculated so it has an effect.
  * Changing to master branch and deleting an empty folder.
  * Tweaking controller aggressiveness again.
  * Increasing controller aggressiveness for a faster rise time.
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Sun, 30 Aug 2015 05:00:00 -0000

ros-indigo-lyap-control (0.0.8-0trusty) trusty; urgency=high



 -- Andy Zelenak <andyz@utexas.edu>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-lyap-control (0.0.7-0trusty) trusty; urgency=high

  * Still futzing to get documentation and author info right.
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Fri, 13 Mar 2015 05:00:00 -0000

ros-indigo-lyap-control (0.0.6-0trusty) trusty; urgency=high



 -- andy <andyz@utexas.edu>  Wed, 04 Mar 2015 06:00:00 -0000
