=== debian/control ===
Source: ros-indigo-lyap-control
Section: misc
Priority: extra
Maintainer: Andy Zelenak <andyz@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/lyap_control
Standards-Version: 3.9.2

Package: ros-indigo-lyap-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Description: A node to control nonlinear dynamic systems
